Bug 519726 - booting f12 alpha live CD freezes completely (black screen) during switching to graphic mode. (i810 chip)
Summary: booting f12 alpha live CD freezes completely (black screen) during switching ...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: rawhide
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 15:07 UTC by Morgan Olausson
Modified: 2018-04-11 16:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-09 04:19:53 UTC


Attachments (Terms of Use)
F11 anaconda.xlog same Hardware (32.32 KB, text/plain)
2009-08-27 15:36 UTC, Morgan Olausson
no flags Details
Photo of boot 1 raminfo (171.69 KB, image/jpeg)
2009-08-27 16:32 UTC, Morgan Olausson
no flags Details
Photo booting1 (f12 alpha live) (171.40 KB, image/jpeg)
2009-08-27 16:35 UTC, Morgan Olausson
no flags Details
Photo booting2 (f12 alpha live) (171.17 KB, image/jpeg)
2009-08-27 16:37 UTC, Morgan Olausson
no flags Details
Photo booting3 (f12 alpha live) (171.53 KB, image/jpeg)
2009-08-27 16:39 UTC, Morgan Olausson
no flags Details
Photo booting4 (f12 alpha live) (171.75 KB, image/jpeg)
2009-08-27 16:39 UTC, Morgan Olausson
no flags Details
Photo booting5 (f12 alpha live) (172.25 KB, image/jpeg)
2009-08-27 16:40 UTC, Morgan Olausson
no flags Details
Photo booting6 (f12 alpha live) (171.21 KB, image/jpeg)
2009-08-27 16:41 UTC, Morgan Olausson
no flags Details
Photo booting1a (f12 alpha live) (172.35 KB, image/jpeg)
2009-08-27 16:42 UTC, Morgan Olausson
no flags Details
smoltprofile.txt (3.93 KB, text/plain)
2009-08-27 21:50 UTC, Morgan Olausson
no flags Details
Up to date F11 logfile Xorg.0.log (33.76 KB, application/octet-stream)
2009-08-29 09:20 UTC, Morgan Olausson
no flags Details
Screenmessage just before screen goes black (179.44 KB, image/jpeg)
2009-09-03 18:19 UTC, Morgan Olausson
no flags Details
The file: messages, from test-dayCD booting (203.25 KB, application/octet-stream)
2009-09-15 12:02 UTC, Morgan Olausson
no flags Details
The file: Xorg.o.log, from test-dayCD booting (31.52 KB, application/octet-stream)
2009-09-15 12:12 UTC, Morgan Olausson
no flags Details

Description Morgan Olausson 2009-08-27 15:07:43 UTC
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.2) Gecko/20090803 Fedora/3.5.2-2.fc11 Firefox/3.5.2

Trying the F12 Alpha liveCD, but it froze completely at start of X. 
F11 works fine on same hardware.

Reproducible: Always

Steps to Reproduce:
1.On my computer with i810 chip. 
2.boot f12 alpha live CD
3.
Actual Results:  
Freezes completely at start of X

Expected Results:  
Successful booting of graphical live user f12 system

Trying to get info for the bug report:
Digital photos of the screen during start up (kernelparameters QIET and RHGB removed). Photos attached.
Also F11 logfiles attached.

Trying to get logs of F12 startup:
I found some advice in bug #518300 which I have tried with my limited skills:

At the swithing to graphic mode I succeded once with (Ctrl-alt-F2) to switch to other terminal, but after a few seconds some text came up and then the screen turned black and completely frozen again, there were no time to collect logfiles.

Tried using the VESA mode driver "xdriver=vesa" at kernel line but not working. I also tried the f12 alpha DVD and then a simplified installer instead of the normal anaconda graphical installer came up, also when using "basic driver" option.   

Booted the f12 live CD into text mode by adding a "3" at the end of kernel line, got into text mode and logged in successfully as "liveuser" but then doing "startx" resulted in black screen and complete freeze again.  

I do not know what to try next to get boot log files from f12. Suggestions welcome!
Perhaps I could install a full F12 text mode system from the DVD, but I dont know A) how to shrink my F11 system currently occupying my hard discs (only 50% used, but the LVM is 100% of the space) and B) how to actually get the DVD- installation to be non-graphical.

Comment 1 Andy Lindeberg 2009-08-27 15:20:09 UTC
If you have a place you can scp out to, you can get the log files when in text mode with scp location-of-logfile username@hostname:location.

Alternatively, if you can pull the contents up on the screen and take a picture with a digital camera, that might provide some insight.

Comment 2 Morgan Olausson 2009-08-27 15:36:03 UTC
Created attachment 358897 [details]
F11 anaconda.xlog same Hardware

If F11 logs are useful tell me and I will attach them. F11 works fine on this h/w.

Comment 3 Morgan Olausson 2009-08-27 16:32:20 UTC
Created attachment 358905 [details]
Photo of boot 1 raminfo

Comment 4 Morgan Olausson 2009-08-27 16:35:49 UTC
Created attachment 358907 [details]
Photo  booting1 (f12 alpha live)

Comment 5 Morgan Olausson 2009-08-27 16:37:04 UTC
Created attachment 358908 [details]
Photo  booting2 (f12 alpha live)

Comment 6 Morgan Olausson 2009-08-27 16:39:07 UTC
Created attachment 358910 [details]
Photo  booting3 (f12 alpha live)

Comment 7 Morgan Olausson 2009-08-27 16:39:53 UTC
Created attachment 358911 [details]
Photo  booting4 (f12 alpha live)

Comment 8 Morgan Olausson 2009-08-27 16:40:43 UTC
Created attachment 358912 [details]
Photo  booting5 (f12 alpha live)

Comment 9 Morgan Olausson 2009-08-27 16:41:24 UTC
Created attachment 358913 [details]
Photo  booting6 (f12 alpha live)

Comment 10 Morgan Olausson 2009-08-27 16:42:34 UTC
Created attachment 358914 [details]
Photo  booting1a (f12 alpha live)

Comment 11 Morgan Olausson 2009-08-27 16:49:05 UTC
(In reply to comment #1)
> If you have a place you can scp out to, you can get the log files when in text
> mode with scp location-of-logfile username@hostname:location.

Are those log files useful if X has not attepted to start? Because after that everything freezes...
> 
> Alternatively, if you can pull the contents up on the screen and take a picture
> with a digital camera, that might provide some insight.  
I tried this. If photo info is missing and you think more photos can be of use let me know.

Comment 12 Morgan Olausson 2009-08-27 21:50:32 UTC
Created attachment 358973 [details]
smoltprofile.txt

Comment 13 Morgan Olausson 2009-08-29 09:20:28 UTC
Created attachment 359137 [details]
Up to date F11 logfile Xorg.0.log

Comment 14 Morgan Olausson 2009-08-29 09:55:40 UTC
I started F12 (11.91) liveCD in text mode (removed QUIET and RHGB from kernel line and added "3").
then logged in as "liveuser" and started X with "startx".

Before the screen goes black and freezes, for a second a X-info page came up on the screen. The last line of info that came up was that the logfile ~/var/log/Xorg.0.log was started.

looking at the F11 Xorg.0.log file I recognize the sequence from the F12 "1 second screen" so I guess that the crash happens after the "logfileline".


from the F11 Xorg log attachement:
--------------------------------
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Aug 29 11:02:57 2009
(II) Loader magic: 0x640
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 5.0
	X.Org XInput driver : 4.0
	X.Org Server Extension : 2.0
(II) Loader running on linux
(++) using VT number 1

(--) PCI:*(0@0:1:0) Intel Corporation 82810E DC-133 (CGC) Chipset Graphics Controller rev 3, Mem @ 0xf8000000/67108864, 0xf4000000/524288, BIOS @ 0x????????/131072
----------------------------

Comment 15 Morgan Olausson 2009-09-03 18:19:12 UTC
Created attachment 359713 [details]
Screenmessage just before screen goes black 

This came up on the screen for a few seconds at the time for swiching to graphical mode and before the screen went black. The parameter "nomodeset" were added to the boot line.

Comment 16 Morgan Olausson 2009-09-05 12:40:20 UTC
Tried booting the "f12 snap1 live-version" (without changing any parameters) but the black screen freeze problem is still there.

Comment 17 Mark Sobell 2009-09-11 18:25:39 UTC
Booting from the DVD and selecting

     Install system with basic video driver

worked for me.

Comment 18 Morgan Olausson 2009-09-15 12:02:23 UTC
Created attachment 361072 [details]
The file: messages, from test-dayCD booting

With the test-day CD the booting succeded! In this file there are some automatic debugging that might be interesting. I think XAA acceleration is used in this test day version.

Comment 19 Morgan Olausson 2009-09-15 12:12:46 UTC
Created attachment 361073 [details]
The file: Xorg.o.log, from test-dayCD booting

Comment 20 Morgan Olausson 2009-09-15 12:40:56 UTC
At the login screen there were also a boot message "starting abrt deamon:failed to start:timeout waiting for child." Perhaps that is not relevant for this bug.

Comment 21 Morgan Olausson 2009-09-25 12:46:19 UTC
This issue does not happen anymore. So I think this bug should be closed. Can I do that, since I reported it?

Comment 22 Matěj Cepl 2009-11-05 17:14:31 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 23 Chris Campbell 2009-11-09 04:19:53 UTC
(In reply to comment #21)
> This issue does not happen anymore. So I think this bug should be closed. Can I
> do that, since I reported it?  

Yes, the reporter can close a bug at any time. I am currently performing some cleanup for mcepl anyway, so I will go ahead and set this to CLOSED WORKSFORME since the reporter states (in comment #21) that the issue no longer occurs. Thank you for your work on this bug.


Note You need to log in before you can comment on or make changes to this bug.